apiVersion: rhdh.redhat.com/v1alpha3
kind: Orchestrator
metadata:
  deletionTimestamp: '2025-05-06T12:51:11Z'
  resourceVersion: '120432'
  name: orchestrator
  uid: 6fb5405c-044b-4f8e-9ba6-5f2c0b76cf43
  deletionGracePeriodSeconds: 0
  creationTimestamp: '2025-05-06T12:25:27Z'
  generation: 2
  managedFields:
    - apiVersion: rhdh.redhat.com/v1alpha3
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app.kubernetes.io/name': {}
        'f:spec':
          .: {}
          'f:argocd':
            .: {}
            'f:enabled': {}
            'f:namespace': {}
          'f:platform':
            .: {}
            'f:eventing':
              .: {}
              'f:broker': {}
            'f:monitoring':
              .: {}
              'f:enabled': {}
            'f:namespace': {}
            'f:resources':
              .: {}
              'f:limits':
                .: {}
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
          'f:postgres':
            .: {}
            'f:authSecret':
              .: {}
              'f:name': {}
              'f:passwordKey': {}
              'f:userKey': {}
            'f:database': {}
            'f:name': {}
            'f:namespace': {}
          'f:rhdh':
            .: {}
            'f:devMode': {}
            'f:installOperator': {}
            'f:name': {}
            'f:namespace': {}
            'f:plugins':
              .: {}
              'f:notificationsEmail':
                .: {}
                'f:enabled': {}
                'f:port': {}
                'f:replyTo': {}
                'f:sender': {}
          'f:serverless':
            .: {}
            'f:installOperator': {}
          'f:serverlessLogic':
            .: {}
            'f:installOperator': {}
          'f:tekton':
            .: {}
            'f:enabled': {}
      manager: Mozilla
      operation: Update
      time: '2025-05-06T12:25:27Z'
    - apiVersion: rhdh.redhat.com/v1alpha3
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"rhdh.redhat.com/orchestrator-cleanup"': {}
      manager: manager
      operation: Update
      time: '2025-05-06T12:25:27Z'
    - apiVersion: rhdh.redhat.com/v1alpha3
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:phase': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2025-05-06T12:27:27Z'
  namespace: openshift-operators
  finalizers:
    - rhdh.redhat.com/orchestrator-cleanup
  labels:
    app.kubernetes.io/name: orchestrator-sample
spec:
  argocd:
    enabled: false
    namespace: orchestrator-gitops
  platform:
    eventing:
      broker: {}
    monitoring:
      enabled: false
    namespace: sonataflow-infra
    resources:
      limits:
        cpu: 500m
        memory: 1Gi
      requests:
        cpu: 250m
        memory: 64Mi
  postgres:
    authSecret:
      name: sonataflow-psql-postgresql
      passwordKey: postgres-password
      userKey: postgres-username
    database: sonataflow
    name: sonataflow-psql-postgresql
    namespace: sonataflow-infra
  rhdh:
    devMode: true
    installOperator: false
    name: my-rhdh
    namespace: rhdh
    plugins:
      notificationsEmail:
        enabled: false
        port: 587
        replyTo: ''
        sender: ''
  serverless:
    installOperator: true
  serverlessLogic:
    installOperator: true
  tekton:
    enabled: false
status:
  conditions:
    - lastTransitionTime: '2025-05-06T12:25:27Z'
      message: Starting Reconciliation
      reason: Reconciling
      status: Unknown
      type: Available
    - lastTransitionTime: '2025-05-06T12:27:27Z'
      message: no matches for kind "Backstage" in version "rhdh.redhat.com/v1alpha3"
      reason: ReconcilingRHDHResourcesFailed
      status: 'False'
      type: Degrading
  phase: Failed
